import { type Workspace } from "../utils/workspace.js";
import { type OptionDefinition, AvailableCliOptionValues } from "./options.js";
import type { AdderCheckConfig, AdderConfig, InlineAdderConfig } from "./config.js";
import type { RemoteControlOptions } from "./remoteControl.js";
export type AdderDetails<Args extends OptionDefinition> = {
    config: AdderConfig<Args>;
    checks: AdderCheckConfig<Args>;
};
export type ExecutingAdderInfo = {
    name: string;
    version: string;
};
export type AddersExecutionPlan = {
    createProject: boolean;
    commonCliOptions: AvailableCliOptionValues;
    cliOptionsByAdderId: Record<string, Record<string, any>>;
    workingDirectory: string;
};
export declare function executeAdder<Args extends OptionDefinition>(adderDetails: AdderDetails<Args>, remoteControlOptions?: RemoteControlOptions | undefined): Promise<void>;
export declare function executeAdders<Args extends OptionDefinition>(adderDetails: AdderDetails<Args>[], executingAdder: ExecutingAdderInfo, remoteControlOptions?: RemoteControlOptions | undefined): Promise<void>;
export declare function determineWorkingDirectory(directory: string | undefined): string;
export declare function installPackages<Args extends OptionDefinition>(config: InlineAdderConfig<Args>, workspace: Workspace<Args>): Promise<void>;
export declare function generateAdderInfo(pkg: any): {
    id: string;
    package: string;
    version: string;
};
