import { Workspace } from "../utils/workspace";
import { AdderCheckConfig, AdderConfig } from "./config";
import { OptionDefinition } from "./options";
export type PreconditionParameters<Args extends OptionDefinition> = {
    workspace: Workspace<Args>;
    fileExists: (path: string) => Promise<void>;
    fileContains: (path: string, expectedContent: string) => Promise<void>;
};
export type Postcondition<Args extends OptionDefinition> = {
    name: string;
    run: (params: PreconditionParameters<Args>) => Promise<void>;
};
export declare function checkPostconditions<Args extends OptionDefinition>(config: AdderConfig<Args>, checks: AdderCheckConfig<Args>, workspace: Workspace<Args>, multipleAdders: boolean): Promise<string[]>;
export declare function printUnmetPostconditions(unmetPostconditions: string[]): Promise<void>;
