/// <reference types="node" />
import type { WorkspaceWithoutExplicitArgs } from "./workspace.js";
import { type ChildProcess } from "child_process";
export type Package = {
    name: string;
    version: string;
    dependencies: Record<string, string>;
    devDependencies: Record<string, string>;
};
export declare function getPackageJson(workspace: WorkspaceWithoutExplicitArgs): Promise<{
    text: string;
    data: Package;
}>;
export declare function executeCli(command: string, commandArgs: string[], cwd: string, options?: {
    onData?: (data: string, program: ChildProcess, resolve: (value?: any) => any) => void;
    stdio?: "pipe" | "inherit";
    env?: Record<string, string>;
}): Promise<void | any>;
export declare function groupBy<Key, Value>(list: Value[], keyGetter: (input: Value) => Key): Map<Key, Value[]>;
