type Primitive = Readonly<string | boolean | number>;
export type PromptOption<Value> = Value extends Primitive ? {
    value: Value;
    label?: string;
    hint?: string;
} : {
    value: Value;
    label: string;
    hint?: string;
};
export declare function startPrompts(message: string): void;
export declare function endPrompts(message: string): void;
export declare function booleanPrompt(question: string, initialValue: boolean): Promise<boolean>;
export declare function selectPrompt<T>(question: string, initialValue: T, options: PromptOption<T>[]): Promise<Awaited<T> extends infer T_1 ? T_1 extends Awaited<T> ? T_1 extends symbol ? never : T_1 : never : never>;
export declare function textPrompt(question: string, placeholder?: string, initialValue?: string): Promise<string>;
export declare function multiSelectPrompt<T>(question: string, options: PromptOption<T>[]): Promise<T[]>;
export declare function messagePrompt(title: string, content: string): void;
export {};
