import type { OptionDefinition, OptionValues } from "../adder/options.js";
export type PrettierData = {
    installed: boolean;
};
export type TypescriptData = {
    installed: boolean;
};
export type SvelteKitData = {
    installed: boolean;
    libDirectory: string;
    routesDirectory: string;
};
export type Workspace<Args extends OptionDefinition> = {
    options: OptionValues<Args>;
    cwd: string;
    prettier: PrettierData;
    typescript: TypescriptData;
    kit: SvelteKitData;
};
export type WorkspaceWithoutExplicitArgs = Workspace<any>;
export declare function createEmptyWorkspace<Args extends OptionDefinition>(): Workspace<Args>;
export declare function addPropertyToWorkspaceOption(workspace: WorkspaceWithoutExplicitArgs, optionKey: string, value: unknown): void;
export declare function populateWorkspaceDetails(workspace: WorkspaceWithoutExplicitArgs, workingDirectory: string): Promise<void>;
export declare function parseSvelteConfigIntoWorkspace(workspace: WorkspaceWithoutExplicitArgs): Promise<void>;
